<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.SetForeignKeyConstraint Method (Database, ForeignKeyDeleteAction, ForeignKeyNullifyDelegate)
SecondaryDatabaseConfig Class See Also Send Feedback

Specify the action taken when a referenced record in the foreign key database is deleted.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public void SetForeignKeyConstraint(
    	Database ForeignDB,
    	ForeignKeyDeleteAction OnDelete,
    	ForeignKeyNullifyDelegate NullifyFunc
    )

Visual Basic (Declaration)

    Public Sub SetForeignKeyConstraint ( _
    	ForeignDB As Database, _
    	OnDelete As ForeignKeyDeleteAction, _
    	NullifyFunc As ForeignKeyNullifyDelegate _
    )

Visual C++

    public:
    void SetForeignKeyConstraint(
    	Database^ ForeignDB,
    	ForeignKeyDeleteAction OnDelete,
    	ForeignKeyNullifyDelegate^ NullifyFunc
    )

#### Parameters

ForeignDB
  Type: BerkeleyDB..::.Database
  The foreign key database.

OnDelete
  Type: BerkeleyDB..::.ForeignKeyDeleteAction
  The action taken when a reference record is deleted.

NullifyFunc
  Type: BerkeleyDB..::.ForeignKeyNullifyDelegate
  When OnDelete is NULLIFY, NullifyFunc is used to set the foreign key to null.

# See Also

SecondaryDatabaseConfig Class
SetForeignKeyConstraint Overload
BerkeleyDB Namespace